import 'source-map-support/register';
import { PluginContext, Plugin, Apply } from 'koishi-dev-utils';
import _ from 'lodash';

interface Config {
  prefix: string;
}

@Plugin('my-plugin')
class MyPlugin extends PluginContext<Config> {
  @Apply
  init() {
    this.command('echo <message:text>').action((argv, message) => {
      return _.join([this.config.prefix, message], ':');
    });
  }
}

export = new MyPlugin();
